Index: sandbox/workflow/branches/1015/inc/engine/src/API/Instance.php
===================================================================
--- sandbox/workflow/branches/1015/inc/engine/src/API/Instance.php	(revision 2588)
+++ sandbox/workflow/branches/1015/inc/engine/src/API/Instance.php	(revision 3061)
@@ -84,9 +84,4 @@
    */
   var $parentLock = false;
-  /**
-   * @var int $parentActivityId The activity ID of the parent instance
-   * @access public
-   */
-  var $parentActivityId;
   /**
    * @var int $parentInstanceId The instance ID of the parent instance
@@ -490,5 +485,5 @@
     return '';
   }
- 
+
   /**
    * Creates a new instance.
@@ -503,5 +498,5 @@
   function _createNewInstance($activityId,$user) {
     // Creates a new instance setting up started, ended, user, status and owner
-    $pid = $this->getOne('select wf_p_id from '.GALAXIA_TABLE_PREFIX.'activities where wf_activity_id=?',array((int)$activityId));
+    $pid = $this->getOne('SELECT wf_p_id FROM '.GALAXIA_TABLE_PREFIX.'activities WHERE wf_activity_id=?',array((int)$activityId));
     $this->pId = $pid;
     $this->setStatus('active');
@@ -510,29 +505,37 @@
     $this->setStarted($now);
     $this->setOwner($user);
-    
-    $query = 'insert into '.GALAXIA_TABLE_PREFIX.'instances
-      (wf_started,wf_ended,wf_status,wf_p_id,wf_owner,wf_properties) 
-      values(?,?,?,?,?,?)';
-    $this->query($query,array($now,0,'active',$pid,$user,$this->security_cleanup(Array(),false)));
-    $this->instanceId = $this->getOne('select max(wf_instance_id) from '.GALAXIA_TABLE_PREFIX.'instances 
-                      where wf_started=? and wf_owner=?',array((int)$now,$user));
+
+    //Get the id of new instance, before insert values in table and use this value from main table and relationship tables.
+    $this->instanceId = $this->getOne("SELECT nextval('seq_egw_wf_instances')");
     $iid=$this->instanceId;
-    
+
+    $query = 'INSERT INTO '.GALAXIA_TABLE_PREFIX.'instances
+                (wf_instance_id, wf_started,wf_ended,wf_status,wf_p_id,wf_owner,wf_properties)
+              VALUES
+                (?,?,?,?,?,?,?)';
+
+    $this->query($query,array((int)$iid, $now,0,'active',$pid,$user,$this->security_cleanup(Array(),false)));
+
     // Then add in ".GALAXIA_TABLE_PREFIX."instance_activities an entry for the
     // activity the user and status running and started now
-    $query = 'insert into '.GALAXIA_TABLE_PREFIX.'instance_activities (wf_instance_id,wf_activity_id,wf_user,
-            wf_started,wf_status) values(?,?,?,?,?)';
+    $query = 'INSERT INTO '.GALAXIA_TABLE_PREFIX.'instance_activities
+                (wf_instance_id,wf_activity_id,wf_user,wf_started,wf_status)
+              VALUES
+                (?,?,?,?,?)';
     $this->query($query,array((int)$iid,(int)$activityId,$user,(int)$now,'running'));
 
     if (($this->isChildInstance) && (!is_null($this->parentInstanceId)))
     {
-      $query = 'INSERT INTO '.GALAXIA_TABLE_PREFIX.'interinstance_relations(wf_parent_instance_id, wf_parent_activity_id, wf_child_instance_id, wf_parent_lock) VALUES(?,?,?,?)';
-      $this->query($query,array((int) $this->parentInstanceId, (int) $this->parentActivityId, (int) $iid, (int) (($this->parentLock) ? 1 : 0)));
-    }
-    
+      $query = 'INSERT INTO '.GALAXIA_TABLE_PREFIX.'interinstance_relations
+                  (wf_parent_instance_id, wf_child_instance_id, wf_parent_lock)
+                VALUES
+                  (?,?,?)';
+      $this->query($query,array((int) $this->parentInstanceId, (int) $iid, (int) (($this->parentLock) ? 1 : 0)));
+    }
+
     //update database with other datas stored in the object
     return $this->sync();
   }
-  
+
   /**
    * Sets the name of this instance
@@ -1140,9 +1143,9 @@
     return $this->__activity_completed;
   }
- 
+
   /**
    * This function can be called by the instance object himself (for automatic activities)
-   * or by the WfRuntime object. In interactive activities code users use complete() --without args-- 
-   * which refer to the WfRuntime->complete() function which call this one. 
+   * or by the WfRuntime object. In interactive activities code users use complete() --without args--
+   * which refer to the WfRuntime->complete() function which call this one.
    * In non-interactive activities a call to a complete() will generate errors because the engine
    * does it his own way as I said first.
@@ -1160,5 +1163,5 @@
   {
     //$this->db->
-    $result = $this->query("SELECT 1 FROM " . GALAXIA_TABLE_PREFIX . "instances i, " . GALAXIA_TABLE_PREFIX . "interinstance_relations ir WHERE (ir.wf_child_instance_id = i.wf_instance_id) AND (i.wf_status IN ('active', 'exception')) AND (ir.wf_parent_lock = 1) AND (ir.wf_parent_instance_id = ?) AND (ir.wf_parent_activity_id = ?)", array($this->instanceId, $activityId));
+    $result = $this->query("SELECT 1 FROM " . GALAXIA_TABLE_PREFIX . "instances i, " . GALAXIA_TABLE_PREFIX . "interinstance_relations ir WHERE (ir.wf_child_instance_id = i.wf_instance_id) AND (i.wf_status IN ('active', 'exception')) AND (ir.wf_parent_lock = 1) AND (ir.wf_parent_instance_id = ?)", array($this->instanceId));
     if ($result->numRows() > 0)
       die("Esta instância está aguardando que outras instâncias, das quais depende, sejam finalizadas.");
@@ -1168,5 +1171,5 @@
     //The complete() is in a transaction, it will be completly done or not at all
     $this->db->StartTrans();
-    
+
     //lock rows and ensure access is granted
     if (!(isset($this->security))) $this->security = &Factory::getInstance('WfSecurity');
Index: sandbox/workflow/branches/1015/inc/engine/src/API/BaseActivity.php
===================================================================
--- sandbox/workflow/branches/1015/inc/engine/src/API/BaseActivity.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/engine/src/API/BaseActivity.php	(revision 3061)
@@ -84,8 +84,9 @@
    * Seems to be the rest of a bad object architecture
    * 
-   * @deprecated
+   * @deprecated 2.2.00.000
    */
   function setDb(&$db)
   {
+	wf_warn_deprecated_method();
     $this->db =& $db;
   }
@@ -550,8 +551,9 @@
    * e.g. $isadmin = $activity->checkUserRole($user,'admin')
    * 
-   * @deprecated Unused function. Old API, do not use it. Return always false
+   * @deprecated 2.2.00.000 - Unused function. Old API, do not use it. Return always false
    */
   function checkUserRole($user,$rolename) 
   {
+	wf_warn_deprecated_method();
     $this->error[] = 'use of an old deprecated function checkUserRole, return always false';
     return false;
Index: sandbox/workflow/branches/1015/inc/common_functions.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/common_functions.inc.php	(revision 3061)
+++ sandbox/workflow/branches/1015/inc/common_functions.inc.php	(revision 3061)
@@ -0,0 +1,68 @@
+<?php
+/**************************************************************************\
+* eGroupWare                                                               *
+* http://www.egroupware.org                                                *
+* --------------------------------------------                             *
+*  This program is free software; you can redistribute it and/or modify it *
+*  under the terms of the GNU General Public License as published by the   *
+*  Free Software Foundation; either version 2 of the License, or (at your  *
+*  option) any later version.                                              *
+\**************************************************************************/
+
+
+/**
+ * Redefines the apache_request_headers function if it was not done before by a phpmodule
+ * This usually happens if php runs as cgi
+ * @return array HTTP info presents in $_SERVER array
+ * @package Workflow
+ * @access public
+ */
+if( !function_exists('apache_request_headers') ) {
+	///
+	function apache_request_headers() {
+		$arh = array();
+		$rx_http = '/\AHTTP_/';
+		foreach($_SERVER as $key => $val) {
+			if( preg_match($rx_http, $key) ) {
+				$arh_key = preg_replace($rx_http, '', $key);
+				$rx_matches = array();
+				// do some nasty string manipulations to restore the original letter case
+				// this should work in most cases
+				$rx_matches = explode('_', $arh_key);
+				if( count($rx_matches) > 0 and strlen($arh_key) > 2 ) {
+					foreach($rx_matches as $ak_key => $ak_val) $rx_matches[$ak_key] = ucfirst($ak_val);
+					$arh_key = implode('-', $rx_matches);
+				}
+				$arh[$arh_key] = $val;
+			}
+		}
+		return( $arh );
+	}
+	///
+}
+
+/**
+ * Generates warning message of deprecated methods executing PHP function trigger_error
+ * @author Anderson Tadayuki Saikawa
+ * @param string $new_class The name of the class that has the method that replaces the deprecated one
+ * @param string $new_method The name of the method that replaces the deprecated one
+ * @return boolean
+ * @license http://www.gnu.org/copyleft/gpl.html GPL
+ * @package Workflow
+ * @access public
+ */
+function wf_warn_deprecated_method($new_class = null, $new_method = null)
+{
+	$caller = next(debug_backtrace());
+	$old_class = !empty($caller['class']) ? " of <strong>" . $caller['class'] . "</strong> object" : "";
+	$deprecated_msg = sprintf("Deprecated method <strong>%s</strong>%s was called in <strong>%s</strong> on line <strong>%s</strong>. It MUST be replaced by its equivalent",
+								$caller['function'], $old_class, $caller['file'], $caller['line']);
+	if(!empty($new_class) && !empty($new_method)){
+		$new_class = !empty($new_class) ? " of <strong>" . $new_class . "</strong> object" : "";
+		$deprecated_msg .= sprintf(' <strong>%s</strong>%s', $new_method, $new_class);
+	}
+	$error_msg = $deprecated_msg . ".\n<br>Error handler";
+	return trigger_error("[WORKFLOW WARNING]: " . $error_msg, E_USER_WARNING);
+}
+
+?>
Index: sandbox/workflow/branches/1015/inc/class.bo_participants.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.bo_participants.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.bo_participants.inc.php	(revision 3061)
@@ -74,5 +74,5 @@
 		{
 			$preffix = ($usePreffix) ? 'u' : '';
-			$ents = $this->ldap->getUsers($params['context']);
+			$ents = $this->ldap->getUsers($params['context'], $params['onlyVisibleAccounts']);
 			foreach ($ents as $ent)
 				$output[$preffix . $ent[$id]] = $ent['name'];
@@ -162,7 +162,9 @@
 		$searchLists = (strpos($entities, 'l') !== false);
 
+		$onlyVisibleAccounts = $params['onlyVisibleAccounts'];
+
 		/* faz a busca */
 		$output = array();
-		$output['participants'] = $this->ldap->search($searchTerm, $searchUsers, $searchGroups, $searchLists);
+		$output['participants'] = $this->ldap->search($searchTerm, $searchUsers, $searchGroups, $searchLists, null, $onlyVisibleAccounts);
 
 		/* limita os resultados e define uma mensagem que será exibida */
Index: sandbox/workflow/branches/1015/inc/common.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/common.inc.php	(revision 2588)
+++ sandbox/workflow/branches/1015/inc/common.inc.php	(revision 3061)
@@ -70,3 +70,4 @@
 require_once WF_LIB_ROOT . 'factory/WorkflowFactory.php';
 require_once WF_LIB_ROOT . 'factory/ProcessFactory.php';
+require_once WF_INC_ROOT . 'common_functions.inc.php';
 ?>
Index: sandbox/workflow/branches/1015/inc/class.ui_adminroles.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.ui_adminroles.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.ui_adminroles.inc.php	(revision 3061)
@@ -276,7 +276,7 @@
 					$entry = $cachedLDAP->getEntryByID($mapping['wf_user']);
 					$cname = $GLOBALS['phpgw']->translation->convert($entry['cn'],'utf-8');
-					$glabel = "";
+					$glabel = (!empty($entry['uid'])) ? '[' . $entry['uid'] . ']' : '';
 					if (is_null($entry['last_update']))
-						$glabel = '<font color="red">(excluído)</font>';
+						$glabel = '<font color="red">(inativo)</font>';
 				}
 
Index: sandbox/workflow/branches/1015/inc/class.ui_participants.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.ui_participants.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.ui_participants.inc.php	(revision 3061)
@@ -92,4 +92,10 @@
 		$hideSectors = ($_REQUEST['hideSectors'] == '1') ? true : false;
 
+		// the default value of $onlyVisibleAccounts is true
+		if((isset($_REQUEST['onlyVisibleAccounts'])) && (empty($_REQUEST['onlyVisibleAccounts']) || $_REQUEST['onlyVisibleAccounts'] === 'false'))
+			$onlyVisibleAccounts = false;
+		else
+			$onlyVisibleAccounts = true;
+
 		/* define the initial organization */
 		$selectedOrganization = $ldap->getOrganizationFromDN($userDN);
@@ -117,7 +123,7 @@
 		$smarty->assign('organizations', $organizationList);
 		$smarty->assign('selectedOrganization', $selectedOrganization);
-		$smarty->assign('sectors', $this->bo->getSectors(array('organization' => $selectedOrganization), true));
+		$smarty->assign('sectors', $this->bo->getSectors(array('organization' => $selectedOrganization, 'onlyVisibleAccounts' => $onlyVisibleAccounts), true));
 		$smarty->assign('selectedSector', $selectedSector);
-		$smarty->assign('participants', $this->bo->getEntities(array('entities' => $entities, 'id' => $id, 'context' => $selectedSector, 'usePreffix' => $usePreffix), true));
+		$smarty->assign('participants', $this->bo->getEntities(array('entities' => $entities, 'id' => $id, 'context' => $selectedSector, 'onlyVisibleAccounts' => $onlyVisibleAccounts, 'usePreffix' => $usePreffix), true));
 		$smarty->assign('entities', $entities);
 		$smarty->assign('id', $id);
@@ -126,4 +132,5 @@
 		$smarty->assign('hideOrganizations', $hideOrganizations);
 		$smarty->assign('hideSectors', $hideSectors);
+		$smarty->assign('onlyVisibleAccounts', $onlyVisibleAccounts);
 		$smarty->assign('header', $smarty->expressoHeader);
 		$smarty->assign('txt_loading', lang("loading"));
Index: sandbox/workflow/branches/1015/inc/class.so_userinterface.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.so_userinterface.inc.php	(revision 2588)
+++ sandbox/workflow/branches/1015/inc/class.so_userinterface.inc.php	(revision 3061)
@@ -333,5 +333,5 @@
 			{
 				$employees[$i]['telephoneNumber'] = is_null($entry['telephonenumber']) ? '' : $entry['telephonenumber'];
-				$employees[$i]['cn'] = is_null($entry['cn']) ? '' : $entry['cn'] . (is_null($entry['last_update']) ? ' <font color="red">(excluído)</font>' : '');
+				$employees[$i]['cn'] = is_null($entry['cn']) ? '' : $entry['cn'] . (is_null($entry['last_update']) ? ' <font color="red">(inativo)</font>' : '');
 			}
 		}
Index: sandbox/workflow/branches/1015/inc/class.ui_adminactivities.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.ui_adminactivities.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.ui_adminactivities.inc.php	(revision 3061)
@@ -1035,35 +1035,54 @@
 		$image_name = $proc_info['wf_normalized_name'] . SEP . 'graph' . SEP . $proc_info['wf_normalized_name'] . '.png';
 		$image = GALAXIA_PROCESSES . SEP . $image_name;
-		if (Factory::getInstance('BrowserInfo')->isOpera())
-			$maximumDimension = 1000000;
+		if (file_exists($image))
+		{
+			if (Factory::getInstance('BrowserInfo')->isOpera())
+				$maximumDimension = 1000000;
+			else
+				$maximumDimension = 2500;
+
+			$dims = getimagesize($image);
+			list($originalWidth, $originalHeight) = $dims;
+
+			/* the image must be resized */
+			if (max($originalWidth, $originalHeight) > $maximumDimension)
+			{
+				/* define the new width and height */
+				$newWidth = $newHeight = $maximumDimension;
+				if ($originalWidth > $originalHeight)
+					$newHeight = $maximumDimension * ($originalHeight / $originalWidth);
+				else
+					$newWidth = $maximumDimension * ($originalWidth / $originalHeight);
+
+				/* create the new image and send to the browser */
+				$smallerImage = imagecreatetruecolor($newWidth, $newHeight);
+				imagecopyresampled($smallerImage, imagecreatefrompng($image), 0, 0, 0, 0, $newWidth, $newHeight, $originalWidth, $originalHeight);
+				header('content-disposition: inline; filename=' . $image_name);
+				header('content-type: ' . $dims['mime']);
+				imagepng($smallerImage);
+			}
+			else
+			{
+				header('content-disposition: inline; filename=' . $image_name);
+				header('content-type: ' . $dims['mime']);
+				header('content-length: ' . filesize($image));
+				readfile($image);
+			}
+		}
+		// if there is no graph, show "graph not found" message
 		else
-			$maximumDimension = 2500;
-
-		$dims = getimagesize($image);
-		list($originalWidth, $originalHeight) = $dims;
-
-		/* the image must be resized */
-		if (max($originalWidth, $originalHeight) > $maximumDimension)
-		{
-			/* define the new width and height */
-			$newWidth = $newHeight = $maximumDimension;
-			if ($originalWidth > $originalHeight)
-				$newHeight = $maximumDimension * ($originalHeight / $originalWidth);
-			else
-				$newWidth = $maximumDimension * ($originalWidth / $originalHeight);
-
-			/* create the new image and send to the browser */
-			$smallerImage = imagecreatetruecolor($newWidth, $newHeight);
-			imagecopyresampled($smallerImage, imagecreatefrompng($image), 0, 0, 0, 0, $newWidth, $newHeight, $originalWidth, $originalHeight);
-			header('content-disposition: inline; filename=' . $image_name);
-			header('content-type: ' . $dims['mime']);
-			imagepng($smallerImage);
-		}
-		else
-		{
-			header('content-disposition: inline; filename=' . $image_name);
-			header('content-type: ' . $dims['mime']);
-			header('content-length: ' . filesize($image));
-			readfile($image);
+		{
+			header ('Content-type: image/png');
+			$text = 'GRAFICO NAO ENCONTRADO';
+			$font_size = 5;
+			$width = imagefontwidth($font_size) * strlen($text);
+			$height = imagefontheight($font_size);
+			$im = imagecreate($width, $height);
+			$text_color = imagecolorallocate($im, 0, 0, 0);		// black
+			$bg_color = imagecolorallocate($im, 255, 255, 255);	// white
+			imagefill($im, 0, 0, $bg_color);
+			imagestring($im, $font_size, 0, 0, $text, $text_color);
+			imagepng($im);
+			imagedestroy($im);
 		}
 	}
Index: sandbox/workflow/branches/1015/inc/class.WorkflowLDAP.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.WorkflowLDAP.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.WorkflowLDAP.inc.php	(revision 3061)
@@ -377,7 +377,10 @@
 	 * @access public
 	 */
-	function getUsers($context)
-	{
-		$filter = '(&(phpgwaccounttype=u)(!(phpgwAccountVisible=-1)))';
+	function getUsers($context, $onlyVisibleAccounts = true)
+	{
+		$filter = '(phpgwaccounttype=u)';
+		if($onlyVisibleAccounts)
+			$filter = '(&' . $filter . '(!(phpgwAccountVisible=-1)))';
+
 		$elements = array('uidnumber', 'cn', 'mail');
 		return $this->getEntities($context, $filter, $elements, 'u', false);
@@ -561,5 +564,5 @@
 	 * @access public
 	 */
-	function search($searchTerm, $includeUsers = true, $includeGroups = false, $includeLists = false, $context = null)
+	function search($searchTerm, $includeUsers = true, $includeGroups = false, $includeLists = false, $context = null, $onlyVisibleAccounts = true)
 	{
 		if (!($includeUsers || $includeGroups || $includeLists))
@@ -586,5 +589,9 @@
 			$entityFilter = $entityFilter[0];
 
-		$filter = "(&{$entityFilter}(cn={$searchTerm})(!(phpgwAccountVisible=-1)))";
+		if($onlyVisibleAccounts)
+			$filter = "(&{$entityFilter}(cn={$searchTerm})(!(phpgwAccountVisible=-1)))";
+		else
+			$filter = "(&{$entityFilter}(cn={$searchTerm}))";
+
 		$resourceIdentifier = ldap_search($this->dataSource, $context, $filter, array('cn', 'uidnumber', 'gidnumber', 'phpgwaccounttype', 'mail'));
 		ldap_sort($this->dataSource, $resourceIdentifier, 'cn');
Index: sandbox/workflow/branches/1015/inc/smarty/plugins/function.html_options.php
===================================================================
--- sandbox/workflow/branches/1015/inc/smarty/plugins/function.html_options.php	(revision 795)
+++ sandbox/workflow/branches/1015/inc/smarty/plugins/function.html_options.php	(revision 3061)
@@ -96,4 +96,71 @@
 }
 
+function smarty_function_html_boxoptions($params, &$smarty)
+{
+    require_once $smarty->_get_plugin_filepath('shared','escape_special_chars');
+    
+    $name = null;
+    $values = null;
+    $options = null;
+    $selected = array();
+    $output = null;
+    
+    $extra = '';
+    
+    foreach($params as $_key => $_val) {
+        switch($_key) {
+            case 'name':
+                $$_key = (string)$_val;
+                break;
+            
+            case 'options':
+                $$_key = (array)$_val;
+                break;
+                
+            case 'values':
+            case 'output':
+                $$_key = array_values((array)$_val);
+                break;
+
+            case 'selected':
+                $$_key = array_map('strval', array_values((array)$_val));
+                break;
+
+            default:
+                if(!is_array($_val)) {
+                    $extra .= ' '.$_key.'="'.smarty_function_escape_special_chars($_val).'"';
+                } else {
+                    $smarty->trigger_error("html_options: extra attribute '$_key' cannot be an array", E_USER_NOTICE);
+                }
+                break;
+        }
+    }
+
+    if (!isset($options) && !isset($values))
+        return ''; /* raise error here? */
+
+    $_html_result = '';
+
+    if (isset($options)) {
+
+        foreach ($options as $_key=>$_val)
+            $_html_result .= smarty_function_html_options_optoutput($_key, $_val, $selected);
+
+    } else {
+
+        foreach ($values as $_i=>$_key) {
+            $_val = isset($output[$_i]) ? $output[$_i] : '';
+            $_html_result .= smarty_function_html_options_optoutput($_key, $_val, $selected);
+        }
+
+    }
+
+    if(!empty($name)) {
+        $_html_result = '<select name="' . $name . '"' . $extra . ' style="height: 100px;" size="5">' . "\n" . $_html_result . '</select>' . "\n";
+    }
+
+    return $_html_result;
+
+}
 function smarty_function_html_options_optoutput($key, $value, $selected) {
     if(!is_array($value)) {
Index: sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_user.php
===================================================================
--- sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 3061)
@@ -12,4 +12,5 @@
  * - email_as_textarea : indica se o campo que receberá os emails deve ser um textarea (valor true) ou input type text (valor false). Este parâmetro só tem validade se get_email for true.
  * - hide_groups : indica se deve-se omitir os grupos na tela de seleção.
+ * - onlyVisibleAccounts : indica se devem ser recuperadas apenas as contas visíveis, ou se as ocultas também devem ser listadas.
  * - organization : nome da organização que estará previamente selecionada.
  * - title : texto da tooltip que aparecerá quando o usuário colocar o mouse sobre o ícone para adicionar usuário.
@@ -35,4 +36,5 @@
 		'hide_organizations' => false,
 		'hide_sectors' => false,
+		'onlyVisibleAccounts' => true,
 		'rows'=> 2);
 	$extractParams = array(
@@ -42,5 +44,6 @@
 		'title',
 		'cols',
-		'rows');
+		'rows',
+		'onlyVisibleAccounts');
 
 	/* verifica se todos os parâmetros obrigatórios foram passados */
@@ -93,9 +96,13 @@
 	if ($params['hide_sectors'] == true)
 		$extraParams .= "&hideSectors=1";
+	if (empty($onlyVisibleAccounts) || $onlyVisibleAccounts === 'false')
+		$extraParams .= "&onlyVisibleAccounts=false";
+	else
+		$extraParams .= "&onlyVisibleAccounts=true";
 
 	$image = Factory::getInstance('TemplateServer')->generateImageLink('add_user.png');
 
-$output .= <<<EOF
-	<a alt="$title" title="$title" href="javascript:void(0)" onclick="openParticipants('$name', '$extraParams');"><img border="0" alt="" src="$image" /></a>
+	$output .= <<<EOF
+		<a alt="$title" title="$title" href="javascript:void(0)" onclick="openParticipants('$name', '$extraParams');"><img border="0" alt="" src="$image" /></a>
 EOF;
 	return $output;
Index: sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_ldap_users.php
===================================================================
--- sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_ldap_users.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_ldap_users.php	(revision 3061)
@@ -23,5 +23,5 @@
  */
 function smarty_function_wf_select_ldap_users($params, &$smarty)
-{
+{ 
     require_once $smarty->_get_plugin_filepath('function','html_options');
 	$imagesPath = substr(Factory::getInstance('TemplateServer')->generateImageLink(''), 0, -1);
@@ -34,5 +34,6 @@
 		'size_input'            => '20',
 		'opt_id'                => 'dn',
-		'opt_name'              => 'cn');
+		'opt_name'              => 'cn',
+		'opt_complement'        => '');
 	$extractParams = array(
 		'name',
@@ -42,5 +43,6 @@
 		'class_btn',
 		'opt_id',
-		'opt_name');
+		'opt_name',
+		'opt_complement');
 
 	/* verifica se todos os parâmetros obrigatórios foram passados */
@@ -78,10 +80,10 @@
 	$output = <<<EOF
 		<input type="text" id="$name_input" name="$name_input" size="$size_input" />
-		<input type="button" class="$class_btn" value="$value_btn" onclick="search_ldap_users_by_cn(document.getElementById('$name_input').value, '$name', '$opt_id', '$opt_name', $handleExpiredSessions)" />
+		<input type="button" class="$class_btn" value="$value_btn" onclick="search_ldap_users_by_cn(document.getElementById('$name_input').value, '$name', '$opt_id', '$opt_name', $handleExpiredSessions, '$opt_complement')" />
 		&nbsp;<img id="$name_img" border="0" src="$imagesPath/loading.gif" style="display:none">
-		<span id="$name_span" style="display:none">&nbsp;&nbsp;&nbsp;&nbsp;<b>Selecione o nome: </b>
+		<span id="$name_span" style="display:none"><br><br><b>Selecione um nome abaixo: </b><br><br>
 EOF;
 
-	$output .= smarty_function_html_options(array_merge(array(
+	$output .= smarty_function_html_boxoptions(array_merge(array(
 											'name'    => $name,
 											'id'      => $name,
Index: sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_users.php
===================================================================
--- sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_users.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/smarty/wf_plugins/function.wf_select_users.php	(revision 3061)
@@ -8,4 +8,5 @@
  * - value : usuários e grupos previamente selecionados. Deve estar no formato de matriz, seguindo o seguinte padrão: ::$matriz["u123"]="Nome do usuário 123" ; $matriz["g321"]="Nome do grupo 321" e, assim por diante.
  * - hide_groups : indica se deve-se omitir os grupos na tela de seleção.
+ * - onlyVisibleAccounts : indica se devem ser recuperadas apenas as contas visíveis, ou se as ocultas também devem ser listadas.
  * - organization : nome da organização que estará previamente selecionada.
  * @param object &$smarty Instância do objeto smarty em uso
@@ -24,8 +25,10 @@
 		'hide_organizations' => false,
 		'hide_sectors' => false,
+		'onlyVisibleAccounts' => true,
 		'value' => array());
 	$extractParams = array(
 		'name',
-		'value');
+		'value',
+		'onlyVisibleAccounts');
 
 	/* verifica se todos os parâmetros obrigatórios foram passados */
@@ -54,4 +57,8 @@
 	if ($params['hide_sectors'] == true)
 		$extraParams .= "&hideSectors=1";
+	if (empty($onlyVisibleAccounts) || $onlyVisibleAccounts === 'false')
+		$extraParams .= "&onlyVisibleAccounts=false";
+	else
+		$extraParams .= "&onlyVisibleAccounts=true";
 
 	$output = '<table border="0"><tr><td>';
@@ -66,7 +73,7 @@
 	$output .= "</td><td>";
 	$output .= <<<EOF
-		<a href='javascript:void(0)' onclick="openParticipants(500, 270, '$name', '$extraParams');"><img border="0" src="$imagesPath/add_group.png"></a>
+		<a href='javascript:void(0)' onclick="openParticipants(500, 315, '$name', '$extraParams');"><img border="0" src="$imagesPath/add_group.png"></a>
 		<br />
-		<a href='javascript:void(0)' onclick="openParticipants(500, 270, '$name', '$extraParams');">Adicionar</a>
+		<a href='javascript:void(0)' onclick="openParticipants(500, 315, '$name', '$extraParams');">Adicionar</a>
 		<br /><br />
 		<a href='javascript:void(0)' onclick="delUsers('$name');"><img border="0" src="$imagesPath/delete_group.png"></a>
Index: sandbox/workflow/branches/1015/inc/class.bo_userinterface.inc.php
===================================================================
--- sandbox/workflow/branches/1015/inc/class.bo_userinterface.inc.php	(revision 2372)
+++ sandbox/workflow/branches/1015/inc/class.bo_userinterface.inc.php	(revision 3061)
@@ -91,10 +91,17 @@
 					$recset[$procname_ver]['useHTTPS'] = 0;
 			}
-			$recset[$procname_ver][] = array('wf_activity_id' 	=> $line['wf_activity_id'],
-										'wf_name' 			=> $line['wf_name'],
-										'wf_menu_path' 		=> $line['wf_menu_path'],
-										'wf_type' 			=> $line['wf_type'],
-										'wf_is_autorouted' 	=> $line['wf_is_autorouted'],
-										'wf_is_interactive' => $line['wf_is_interactive']);
+			if (!is_dir(GALAXIA_PROCESSES . '/' . $line['wf_normalized_name']))
+			{
+				$recset[$procname_ver]['wf_iconfile'] = $templateServer->generateImageLink('navbar_nocode.png');
+			}
+			else
+			{
+				$recset[$procname_ver][] = array('wf_activity_id' 	=> $line['wf_activity_id'],
+												'wf_name' 			=> $line['wf_name'],
+												'wf_menu_path' 		=> $line['wf_menu_path'],
+												'wf_type' 			=> $line['wf_type'],
+												'wf_is_autorouted' 	=> $line['wf_is_autorouted'],
+												'wf_is_interactive' => $line['wf_is_interactive']);
+			}
 		}
 
Index: sandbox/workflow/branches/1015/js/htmlarea/plugins/UploadImage/popups/ImageEditor/Transform.php
===================================================================
--- sandbox/workflow/branches/1015/js/htmlarea/plugins/UploadImage/popups/ImageEditor/Transform.php	(revision 795)
+++ sandbox/workflow/branches/1015/js/htmlarea/plugins/UploadImage/popups/ImageEditor/Transform.php	(revision 3061)
@@ -130,5 +130,5 @@
 
         $classname = "Image_Transform_Driver_{$driver}";
-        $obj =& new $classname;
+        $obj = new $classname;
         return $obj;
     }
Index: sandbox/workflow/branches/1015/js/userinterface/orgchart.js
===================================================================
--- sandbox/workflow/branches/1015/js/userinterface/orgchart.js	(revision 2371)
+++ sandbox/workflow/branches/1015/js/userinterface/orgchart.js	(revision 3061)
@@ -348,5 +348,5 @@
 				complement = '';
 			if (employees[i]['removed'])
-				complement += ' <font color="red">(excluído)</font>';
+				complement += ' <font color="red">(inativo)</font>';
 			content += '<tr class="linha'+ i%2 + (useCategories ? ' categoria_' + employees[i]['funcionario_categoria_id'] : '') + '" onmouseover="this.className=\'highlight0\'" onmouseout="this.className=\'linha'+ i%2 + (useCategories ? ' categoria_' + employees[i]['funcionario_categoria_id'] : '') + '\'">';
 			content += '<td><a href="javascript:void(0);" onmouseover="getEmployeeInfoTimer(event, ' + employees[i]['funcionario_id'] + '); return false;" onmouseout="hideEmployeeInfo(); return false;">' + employees[i]['cn'] + complement + '</a></td>';
